System.Web 2.0.0.0

A session-state container provides access to the session-state values and related information for the current session. Session information included in a session-state container is exposed to application code through the class using the property. The class is a wrapper class for a session-state container.

The ASP.NET implementation of a session-state container is the class. At the beginning of a request, during the event, the creates and populates an object and assigns it to the current . At the end of a request, during the event, the retrieves the object from the current and performs any required session work, such as writing the session values to the session store, or abandoning the session. If the request is abruptly terminated, such as through a redirect, the performs the same cleanup by calling the method.

To create a custom session-state container, create a class that implements the interface. If you are creating your own custom session-state container, you must also replace the with your own custom module. Your custom module will create an instance of your custom session-state container and add it to the current using the method. An example of a custom session-state module is included in the class overview.

Defines the contract to implement a custom session-state container.

- Method
  System.Void

  The method is used to clear out session data and raise the Session_OnEnd event defined in the Global.asax file for the ASP.NET application.

  Ends the current session.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added.

  Adds a new item to the session-state collection.

  2.0.0.0
- Method
  System.Void

  performs the same function as .

  Clears all values from the session-state item collection.

  2.0.0.0
- Property
  System.Int32 To be added.

  A character set (code page) is used to interpret multi-byte character data, determining character value, and therefore sort order. Code-page settings apply only to multi-byte character data, not to Unicode character data.

  This property is provided for compatibility with earlier versions of ASP only. If you do not need to maintain backward compatibility with ASP pages, use the property of the property instead.

  Gets or sets the code-page identifier for the current session.

  2.0.0.0
- Property
  System.Web.HttpCookieMode To be added.

  The property returns a enumeration value that is based on the value of the cookieless attribute of the configuration element. If the cookieless attribute is set to true, then the property returns ; otherwise, the property returns .

  Gets a value that indicates whether the application is configured for cookieless sessions.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Copies the collection of session-state item values to a one-dimensional array, starting at the specified index in the array.

  The index in where copying starts. 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of items in the session-state item collection.

  2.0.0.0
- Method
  System.Collections.IEnumerator To be added.

  Returns an enumerator that can be used to read all the session-state item values in the current session.

  An that can iterate through the values in the session-state item collection.

  2.0.0.0
- Property
  System.Boolean To be added.

  For information on cookieless sessions, see Session Identifiers.

  Gets a value indicating whether the session ID is embedded in the URL or stored in an HTTP cookie.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the session was created with the current request.

  2.0.0.0
- Property
  System.Boolean To be added.

  Session state is set to read-only by setting the page attribute to ReadOnly.

  Gets a value indicating whether the session is read-only.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the collection of session-state values is synchronized (thread safe).

  2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Collections.Specialized.NameObjectCollectionBase+KeysCollection To be added. To be added.

  Gets a collection of the keys for all values stored in the session-state item collection.

  2.0.0.0
- Property
  System.Int32 To be added.

  This LCID property is provided for compatibility with earlier versions of ASP only. If you do not need to maintain backward compatibility with ASP pages, use the property instead.

  ASP.NET does not store the locale identifier in session state. The property calls the to get and set the identifier.

  Gets or sets the locale identifier (LCID) of the current session.

  2.0.0.0
- Property
  System.Web.SessionState.SessionStateMode To be added.

  For information on different session-state modes, see Session State Modes.

  Gets the current session-state mode.

  2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Deletes an item from the session-state item collection.

  2.0.0.0
- Method
  System.Void

  performs the same function as .

  Clears all values from the session-state item collection.

  2.0.0.0
- Method
  System.Void `` To be added.

  Deletes an item at a specified index from the session-state item collection.

  The index of the item to remove from the session-state collection. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the unique session identifier for the session.

  2.0.0.0
- Property
  System.Web.HttpStaticObjectsCollection To be added.

  StaticObjects is provided for compatibility with earlier versions of ASP.

  Gets a collection of objects declared by <object Runat="Server" Scope="Session"/> tags within the ASP.NET application file Global.asax.

  2.0.0.0
- Property
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the collection of session-state values.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets and sets the time-out period (in minutes) allowed between requests before the session-state provider terminates the session.

  2.0.0.0